al_color_html(3)

NAME

al_color_html - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    ALLEGRO_COLOR al_color_html(char const *string)

DESCRIPTION

Interprets an HTML-style hex number (e.g. #00faff) as a color. The accepted format is the same as al_color_html_to_rgb(3).

Returns the interpreted color, or al_map_rgba(0, 0, 0, 0) if the string could not be parsed.

    Note: the behaviour on invalid strings is different from Allegro 5.0.x.

SEE ALSO

al_color_html_to_rgb(3), al_color_rgb_to_html(3)